$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.2.128.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.2.128.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'C5A6EADEF6474F532FA8162DCCCE0A0E07B8D564BB736CBA3A69AE5472F2786F'
  checksumType = 'sha256'
  checksum64 = 'C5A6EADEF6474F532FA8162DCCCE0A0E07B8D564BB736CBA3A69AE5472F2786F'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.2.128-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
